<div class="container-fluid Rectangle-Copy">
  <div class="row" style="padding: 17px;">
    <div class="col-md-10">
      <h3 class="Dashboard">Home / Dashboard</h3>
      <h2 class="title">Users List</h2>
    </div>
    <div class="col-md-2"><a (click)="addUser()" class=" nav-link btn btn-info btn-rounded btn-sm waves-effect waves-light
                           Rectangle login "
    >New
      User</a></div>

  </div>
</div>
<div class="row" style="margin-top: 2em;">
  <div class="col-md-1"></div>
  <div class="col-md-10">
    <div class="card">
      <table class="table table-hover">
        <thead>
        <tr>
          <th class="th">User</th>
          <th class="th">Actions</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let user of users">
          <td class="hidden "><a (click)="showUser(user)">
            <img src="{{user.avatar}}" alt="" class="rounded-circle img-fluid"> <span class="Vladimir-Usov">{{user.first_name}} {{user.last_name}}</span>
          </a></td>
          <td>

          </td>
          <td>
            <button class="btn   btn-sm waves-effect waves-light  btn-border show-arrow"
                    (click)="showUser(user)">
              <i class="fa fa-angle-right "></i></button>

            <button class="btn   btn-sm waves-effect waves-light  btn-border"
                    (click)="askDeleteUser(user)">
              <i class="fa fa-trash"></i></button>
            <button class="btn   btn-sm waves-effect waves-light  btn-border"
                    (click)="editUser(user)"
                    style="margin-left: 20px;">
              <i class="fa fa-pencil"></i></button>


            <i></i>
          </td>
        </tr>
        </tbody>
      </table>
    </div>
  </div>
  <swal
    #swalErr
    title="Error"
    text="Error in Deleting"
  >
  </swal>
  <swal
    #swalSucc
    title="Success"
    text="Delete Done"
  >
  </swal>

  <swal
    #deleteSwal
    title="Delete User ?"
    text="This cannot be undone"
    type="question"
    [showCancelButton]="true"
    [focusCancel]="true"
    (confirm)="deleteUser(currentUser)">
  </swal>

</div>
